Package fr.gouv.vitam.storage.engine.server.offersynchronization

# Class OfferSyncStatus

java.lang.Object
fr.gouv.vitam.storage.engine.server.offersynchronization.OfferSyncStatus

public class OfferSyncStatus extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfferSyncStatus()`
  `OfferSyncStatus(String requestID, StatusCode statusCode, String startDate, String endDate, String sourceOffer, String targetOffer, String container, Long startOffset, Long currentOffset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainer()`
  `Long`
  `getCurrentOffset()`
  `String`
  `getEndDate()`
  `String`
  `getRequestId()`
  `String`
  `getSourceOffer()`
  `String`
  `getStartDate()`
  `Long`
  `getStartOffset()`
  `StatusCode`
  `getStatusCode()`
  `String`
  `getTargetOffer()`
  `OfferSyncStatus`
  `setCurrentOffset(Long currentOffset)`
  `OfferSyncStatus`
  `setEndDate(String endDate)`
  `OfferSyncStatus`
  `setRequestId(String requestId)`
  `OfferSyncStatus`
  `setSourceOffer(String sourceOffer)`
  `OfferSyncStatus`
  `setStatusCode(StatusCode statusCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OfferSyncStatus

    public OfferSyncStatus()

  - ### OfferSyncStatus

    public OfferSyncStatus(String requestID, StatusCode statusCode, String startDate, String endDate, String sourceOffer, String targetOffer, String container, Long startOffset, Long currentOffset)

- ## Method Details

  - ### getRequestId

    public String getRequestId()

  - ### setRequestId

    public OfferSyncStatus setRequestId(String requestId)

  - ### getStatusCode

    public StatusCode getStatusCode()

  - ### getStartDate

    public String getStartDate()

  - ### getEndDate

    public String getEndDate()

  - ### getSourceOffer

    public String getSourceOffer()

  - ### setSourceOffer

    public OfferSyncStatus setSourceOffer(String sourceOffer)

  - ### getTargetOffer

    public String getTargetOffer()

  - ### getContainer

    public String getContainer()

  - ### getStartOffset

    public Long getStartOffset()

  - ### getCurrentOffset

    public Long getCurrentOffset()

  - ### setEndDate

    public OfferSyncStatus setEndDate(String endDate)

  - ### setCurrentOffset

    public OfferSyncStatus setCurrentOffset(Long currentOffset)

  - ### setStatusCode

    public OfferSyncStatus setStatusCode(StatusCode statusCode)